Subject: Re: Re:[PATCH 3/16] add base support for Celleb platform

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 17 Nov 2006 09:43:41 +1100

> This routine depends on non-standard device-tree property since our older
> boot system eventually lacks standard properties. Our boot system is still
> under development on standard properties.

It might be good then to have the code try the standard method first,
and if it fails, fallback to a separate routine that uses the "old"
method. Once you are confident that old device-trees have been phased
out, you can then submit a patch that removes the fallback.

Cheers
Ben.